// Code generated by mockery v2.40.1. DO NOT EDIT.

package mocks

import (
	context "context"
	http "net/http"

	mock "github.com/stretchr/testify/mock"

	ubiquity "gitlab.com/Blockdaemon/ubiquity/ubiquity-go-client/v1/pkg/client"
)

// TransactionsAPI is an autogenerated mock type for the TransactionsAPI type
type TransactionsAPI struct {
	mock.Mock
}

type TransactionsAPI_Expecter struct {
	mock *mock.Mock
}

func (_m *TransactionsAPI) EXPECT() *TransactionsAPI_Expecter {
	return &TransactionsAPI_Expecter{mock: &_m.Mock}
}

// GetTxByHash provides a mock function with given fields: ctx, protocol, network, hash
func (_m *TransactionsAPI) GetTxByHash(ctx context.Context, protocol string, network string, hash string) ubiquity.ApiGetTxByHashRequest {
	ret := _m.Called(ctx, protocol, network, hash)

	if len(ret) == 0 {
		panic("no return value specified for GetTxByHash")
	}

	var r0 ubiquity.ApiGetTxByHashRequest
	if rf, ok := ret.Get(0).(func(context.Context, string, string, string) ubiquity.ApiGetTxByHashRequest); ok {
		r0 = rf(ctx, protocol, network, hash)
	} else {
		r0 = ret.Get(0).(ubiquity.ApiGetTxByHashRequest)
	}

	return r0
}

// TransactionsAPI_GetTxByHash_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetTxByHash'
type TransactionsAPI_GetTxByHash_Call struct {
	*mock.Call
}

// GetTxByHash is a helper method to define mock.On call
//   - ctx context.Context
//   - protocol string
//   - network string
//   - hash string
func (_e *TransactionsAPI_Expecter) GetTxByHash(ctx interface{}, protocol interface{}, network interface{}, hash interface{}) *TransactionsAPI_GetTxByHash_Call {
	return &TransactionsAPI_GetTxByHash_Call{Call: _e.mock.On("GetTxByHash", ctx, protocol, network, hash)}
}

func (_c *TransactionsAPI_GetTxByHash_Call) Run(run func(ctx context.Context, protocol string, network string, hash string)) *TransactionsAPI_GetTxByHash_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(string), args[2].(string), args[3].(string))
	})
	return _c
}

func (_c *TransactionsAPI_GetTxByHash_Call) Return(_a0 ubiquity.ApiGetTxByHashRequest) *TransactionsAPI_GetTxByHash_Call {
	_c.Call.Return(_a0)
	return _c
}

func (_c *TransactionsAPI_GetTxByHash_Call) RunAndReturn(run func(context.Context, string, string, string) ubiquity.ApiGetTxByHashRequest) *TransactionsAPI_GetTxByHash_Call {
	_c.Call.Return(run)
	return _c
}

// GetTxByHashExecute provides a mock function with given fields: r
func (_m *TransactionsAPI) GetTxByHashExecute(r ubiquity.ApiGetTxByHashRequest) (ubiquity.Tx, *http.Response, error) {
	ret := _m.Called(r)

	if len(ret) == 0 {
		panic("no return value specified for GetTxByHashExecute")
	}

	var r0 ubiquity.Tx
	var r1 *http.Response
	var r2 error
	if rf, ok := ret.Get(0).(func(ubiquity.ApiGetTxByHashRequest) (ubiquity.Tx, *http.Response, error)); ok {
		return rf(r)
	}
	if rf, ok := ret.Get(0).(func(ubiquity.ApiGetTxByHashRequest) ubiquity.Tx); ok {
		r0 = rf(r)
	} else {
		r0 = ret.Get(0).(ubiquity.Tx)
	}

	if rf, ok := ret.Get(1).(func(ubiquity.ApiGetTxByHashRequest) *http.Response); ok {
		r1 = rf(r)
	} else {
		if ret.Get(1) != nil {
			r1 = ret.Get(1).(*http.Response)
		}
	}

	if rf, ok := ret.Get(2).(func(ubiquity.ApiGetTxByHashRequest) error); ok {
		r2 = rf(r)
	} else {
		r2 = ret.Error(2)
	}

	return r0, r1, r2
}

// TransactionsAPI_GetTxByHashExecute_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetTxByHashExecute'
type TransactionsAPI_GetTxByHashExecute_Call struct {
	*mock.Call
}

// GetTxByHashExecute is a helper method to define mock.On call
//   - r ubiquity.ApiGetTxByHashRequest
func (_e *TransactionsAPI_Expecter) GetTxByHashExecute(r interface{}) *TransactionsAPI_GetTxByHashExecute_Call {
	return &TransactionsAPI_GetTxByHashExecute_Call{Call: _e.mock.On("GetTxByHashExecute", r)}
}

func (_c *TransactionsAPI_GetTxByHashExecute_Call) Run(run func(r ubiquity.ApiGetTxByHashRequest)) *TransactionsAPI_GetTxByHashExecute_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(ubiquity.ApiGetTxByHashRequest))
	})
	return _c
}

func (_c *TransactionsAPI_GetTxByHashExecute_Call) Return(_a0 ubiquity.Tx, _a1 *http.Response, _a2 error) *TransactionsAPI_GetTxByHashExecute_Call {
	_c.Call.Return(_a0, _a1, _a2)
	return _c
}

func (_c *TransactionsAPI_GetTxByHashExecute_Call) RunAndReturn(run func(ubiquity.ApiGetTxByHashRequest) (ubiquity.Tx, *http.Response, error)) *TransactionsAPI_GetTxByHashExecute_Call {
	_c.Call.Return(run)
	return _c
}

// GetTxConfirmations provides a mock function with given fields: ctx, protocol, network, hash
func (_m *TransactionsAPI) GetTxConfirmations(ctx context.Context, protocol string, network string, hash string) ubiquity.ApiGetTxConfirmationsRequest {
	ret := _m.Called(ctx, protocol, network, hash)

	if len(ret) == 0 {
		panic("no return value specified for GetTxConfirmations")
	}

	var r0 ubiquity.ApiGetTxConfirmationsRequest
	if rf, ok := ret.Get(0).(func(context.Context, string, string, string) ubiquity.ApiGetTxConfirmationsRequest); ok {
		r0 = rf(ctx, protocol, network, hash)
	} else {
		r0 = ret.Get(0).(ubiquity.ApiGetTxConfirmationsRequest)
	}

	return r0
}

// TransactionsAPI_GetTxConfirmations_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetTxConfirmations'
type TransactionsAPI_GetTxConfirmations_Call struct {
	*mock.Call
}

// GetTxConfirmations is a helper method to define mock.On call
//   - ctx context.Context
//   - protocol string
//   - network string
//   - hash string
func (_e *TransactionsAPI_Expecter) GetTxConfirmations(ctx interface{}, protocol interface{}, network interface{}, hash interface{}) *TransactionsAPI_GetTxConfirmations_Call {
	return &TransactionsAPI_GetTxConfirmations_Call{Call: _e.mock.On("GetTxConfirmations", ctx, protocol, network, hash)}
}

func (_c *TransactionsAPI_GetTxConfirmations_Call) Run(run func(ctx context.Context, protocol string, network string, hash string)) *TransactionsAPI_GetTxConfirmations_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(string), args[2].(string), args[3].(string))
	})
	return _c
}

func (_c *TransactionsAPI_GetTxConfirmations_Call) Return(_a0 ubiquity.ApiGetTxConfirmationsRequest) *TransactionsAPI_GetTxConfirmations_Call {
	_c.Call.Return(_a0)
	return _c
}

func (_c *TransactionsAPI_GetTxConfirmations_Call) RunAndReturn(run func(context.Context, string, string, string) ubiquity.ApiGetTxConfirmationsRequest) *TransactionsAPI_GetTxConfirmations_Call {
	_c.Call.Return(run)
	return _c
}

// GetTxConfirmationsExecute provides a mock function with given fields: r
func (_m *TransactionsAPI) GetTxConfirmationsExecute(r ubiquity.ApiGetTxConfirmationsRequest) (ubiquity.TxConfirmation, *http.Response, error) {
	ret := _m.Called(r)

	if len(ret) == 0 {
		panic("no return value specified for GetTxConfirmationsExecute")
	}

	var r0 ubiquity.TxConfirmation
	var r1 *http.Response
	var r2 error
	if rf, ok := ret.Get(0).(func(ubiquity.ApiGetTxConfirmationsRequest) (ubiquity.TxConfirmation, *http.Response, error)); ok {
		return rf(r)
	}
	if rf, ok := ret.Get(0).(func(ubiquity.ApiGetTxConfirmationsRequest) ubiquity.TxConfirmation); ok {
		r0 = rf(r)
	} else {
		r0 = ret.Get(0).(ubiquity.TxConfirmation)
	}

	if rf, ok := ret.Get(1).(func(ubiquity.ApiGetTxConfirmationsRequest) *http.Response); ok {
		r1 = rf(r)
	} else {
		if ret.Get(1) != nil {
			r1 = ret.Get(1).(*http.Response)
		}
	}

	if rf, ok := ret.Get(2).(func(ubiquity.ApiGetTxConfirmationsRequest) error); ok {
		r2 = rf(r)
	} else {
		r2 = ret.Error(2)
	}

	return r0, r1, r2
}

// TransactionsAPI_GetTxConfirmationsExecute_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetTxConfirmationsExecute'
type TransactionsAPI_GetTxConfirmationsExecute_Call struct {
	*mock.Call
}

// GetTxConfirmationsExecute is a helper method to define mock.On call
//   - r ubiquity.ApiGetTxConfirmationsRequest
func (_e *TransactionsAPI_Expecter) GetTxConfirmationsExecute(r interface{}) *TransactionsAPI_GetTxConfirmationsExecute_Call {
	return &TransactionsAPI_GetTxConfirmationsExecute_Call{Call: _e.mock.On("GetTxConfirmationsExecute", r)}
}

func (_c *TransactionsAPI_GetTxConfirmationsExecute_Call) Run(run func(r ubiquity.ApiGetTxConfirmationsRequest)) *TransactionsAPI_GetTxConfirmationsExecute_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(ubiquity.ApiGetTxConfirmationsRequest))
	})
	return _c
}

func (_c *TransactionsAPI_GetTxConfirmationsExecute_Call) Return(_a0 ubiquity.TxConfirmation, _a1 *http.Response, _a2 error) *TransactionsAPI_GetTxConfirmationsExecute_Call {
	_c.Call.Return(_a0, _a1, _a2)
	return _c
}

func (_c *TransactionsAPI_GetTxConfirmationsExecute_Call) RunAndReturn(run func(ubiquity.ApiGetTxConfirmationsRequest) (ubiquity.TxConfirmation, *http.Response, error)) *TransactionsAPI_GetTxConfirmationsExecute_Call {
	_c.Call.Return(run)
	return _c
}

// GetTxOutputByHashAndIndex provides a mock function with given fields: ctx, protocol, network, hash, index
func (_m *TransactionsAPI) GetTxOutputByHashAndIndex(ctx context.Context, protocol string, network string, hash string, index int32) ubiquity.ApiGetTxOutputByHashAndIndexRequest {
	ret := _m.Called(ctx, protocol, network, hash, index)

	if len(ret) == 0 {
		panic("no return value specified for GetTxOutputByHashAndIndex")
	}

	var r0 ubiquity.ApiGetTxOutputByHashAndIndexRequest
	if rf, ok := ret.Get(0).(func(context.Context, string, string, string, int32) ubiquity.ApiGetTxOutputByHashAndIndexRequest); ok {
		r0 = rf(ctx, protocol, network, hash, index)
	} else {
		r0 = ret.Get(0).(ubiquity.ApiGetTxOutputByHashAndIndexRequest)
	}

	return r0
}

// TransactionsAPI_GetTxOutputByHashAndIndex_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetTxOutputByHashAndIndex'
type TransactionsAPI_GetTxOutputByHashAndIndex_Call struct {
	*mock.Call
}

// GetTxOutputByHashAndIndex is a helper method to define mock.On call
//   - ctx context.Context
//   - protocol string
//   - network string
//   - hash string
//   - index int32
func (_e *TransactionsAPI_Expecter) GetTxOutputByHashAndIndex(ctx interface{}, protocol interface{}, network interface{}, hash interface{}, index interface{}) *TransactionsAPI_GetTxOutputByHashAndIndex_Call {
	return &TransactionsAPI_GetTxOutputByHashAndIndex_Call{Call: _e.mock.On("GetTxOutputByHashAndIndex", ctx, protocol, network, hash, index)}
}

func (_c *TransactionsAPI_GetTxOutputByHashAndIndex_Call) Run(run func(ctx context.Context, protocol string, network string, hash string, index int32)) *TransactionsAPI_GetTxOutputByHashAndIndex_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(string), args[2].(string), args[3].(string), args[4].(int32))
	})
	return _c
}

func (_c *TransactionsAPI_GetTxOutputByHashAndIndex_Call) Return(_a0 ubiquity.ApiGetTxOutputByHashAndIndexRequest) *TransactionsAPI_GetTxOutputByHashAndIndex_Call {
	_c.Call.Return(_a0)
	return _c
}

func (_c *TransactionsAPI_GetTxOutputByHashAndIndex_Call) RunAndReturn(run func(context.Context, string, string, string, int32) ubiquity.ApiGetTxOutputByHashAndIndexRequest) *TransactionsAPI_GetTxOutputByHashAndIndex_Call {
	_c.Call.Return(run)
	return _c
}

// GetTxOutputByHashAndIndexExecute provides a mock function with given fields: r
func (_m *TransactionsAPI) GetTxOutputByHashAndIndexExecute(r ubiquity.ApiGetTxOutputByHashAndIndexRequest) (ubiquity.TxOutput, *http.Response, error) {
	ret := _m.Called(r)

	if len(ret) == 0 {
		panic("no return value specified for GetTxOutputByHashAndIndexExecute")
	}

	var r0 ubiquity.TxOutput
	var r1 *http.Response
	var r2 error
	if rf, ok := ret.Get(0).(func(ubiquity.ApiGetTxOutputByHashAndIndexRequest) (ubiquity.TxOutput, *http.Response, error)); ok {
		return rf(r)
	}
	if rf, ok := ret.Get(0).(func(ubiquity.ApiGetTxOutputByHashAndIndexRequest) ubiquity.TxOutput); ok {
		r0 = rf(r)
	} else {
		r0 = ret.Get(0).(ubiquity.TxOutput)
	}

	if rf, ok := ret.Get(1).(func(ubiquity.ApiGetTxOutputByHashAndIndexRequest) *http.Response); ok {
		r1 = rf(r)
	} else {
		if ret.Get(1) != nil {
			r1 = ret.Get(1).(*http.Response)
		}
	}

	if rf, ok := ret.Get(2).(func(ubiquity.ApiGetTxOutputByHashAndIndexRequest) error); ok {
		r2 = rf(r)
	} else {
		r2 = ret.Error(2)
	}

	return r0, r1, r2
}

// TransactionsAPI_GetTxOutputByHashAndIndexExecute_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetTxOutputByHashAndIndexExecute'
type TransactionsAPI_GetTxOutputByHashAndIndexExecute_Call struct {
	*mock.Call
}

// GetTxOutputByHashAndIndexExecute is a helper method to define mock.On call
//   - r ubiquity.ApiGetTxOutputByHashAndIndexRequest
func (_e *TransactionsAPI_Expecter) GetTxOutputByHashAndIndexExecute(r interface{}) *TransactionsAPI_GetTxOutputByHashAndIndexExecute_Call {
	return &TransactionsAPI_GetTxOutputByHashAndIndexExecute_Call{Call: _e.mock.On("GetTxOutputByHashAndIndexExecute", r)}
}

func (_c *TransactionsAPI_GetTxOutputByHashAndIndexExecute_Call) Run(run func(r ubiquity.ApiGetTxOutputByHashAndIndexRequest)) *TransactionsAPI_GetTxOutputByHashAndIndexExecute_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(ubiquity.ApiGetTxOutputByHashAndIndexRequest))
	})
	return _c
}

func (_c *TransactionsAPI_GetTxOutputByHashAndIndexExecute_Call) Return(_a0 ubiquity.TxOutput, _a1 *http.Response, _a2 error) *TransactionsAPI_GetTxOutputByHashAndIndexExecute_Call {
	_c.Call.Return(_a0, _a1, _a2)
	return _c
}

func (_c *TransactionsAPI_GetTxOutputByHashAndIndexExecute_Call) RunAndReturn(run func(ubiquity.ApiGetTxOutputByHashAndIndexRequest) (ubiquity.TxOutput, *http.Response, error)) *TransactionsAPI_GetTxOutputByHashAndIndexExecute_Call {
	_c.Call.Return(run)
	return _c
}

// GetTxs provides a mock function with given fields: ctx, protocol, network
func (_m *TransactionsAPI) GetTxs(ctx context.Context, protocol string, network string) ubiquity.ApiGetTxsRequest {
	ret := _m.Called(ctx, protocol, network)

	if len(ret) == 0 {
		panic("no return value specified for GetTxs")
	}

	var r0 ubiquity.ApiGetTxsRequest
	if rf, ok := ret.Get(0).(func(context.Context, string, string) ubiquity.ApiGetTxsRequest); ok {
		r0 = rf(ctx, protocol, network)
	} else {
		r0 = ret.Get(0).(ubiquity.ApiGetTxsRequest)
	}

	return r0
}

// TransactionsAPI_GetTxs_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetTxs'
type TransactionsAPI_GetTxs_Call struct {
	*mock.Call
}

// GetTxs is a helper method to define mock.On call
//   - ctx context.Context
//   - protocol string
//   - network string
func (_e *TransactionsAPI_Expecter) GetTxs(ctx interface{}, protocol interface{}, network interface{}) *TransactionsAPI_GetTxs_Call {
	return &TransactionsAPI_GetTxs_Call{Call: _e.mock.On("GetTxs", ctx, protocol, network)}
}

func (_c *TransactionsAPI_GetTxs_Call) Run(run func(ctx context.Context, protocol string, network string)) *TransactionsAPI_GetTxs_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(string), args[2].(string))
	})
	return _c
}

func (_c *TransactionsAPI_GetTxs_Call) Return(_a0 ubiquity.ApiGetTxsRequest) *TransactionsAPI_GetTxs_Call {
	_c.Call.Return(_a0)
	return _c
}

func (_c *TransactionsAPI_GetTxs_Call) RunAndReturn(run func(context.Context, string, string) ubiquity.ApiGetTxsRequest) *TransactionsAPI_GetTxs_Call {
	_c.Call.Return(run)
	return _c
}

// GetTxsByAddress provides a mock function with given fields: ctx, protocol, network, address
func (_m *TransactionsAPI) GetTxsByAddress(ctx context.Context, protocol string, network string, address string) ubiquity.ApiGetTxsByAddressRequest {
	ret := _m.Called(ctx, protocol, network, address)

	if len(ret) == 0 {
		panic("no return value specified for GetTxsByAddress")
	}

	var r0 ubiquity.ApiGetTxsByAddressRequest
	if rf, ok := ret.Get(0).(func(context.Context, string, string, string) ubiquity.ApiGetTxsByAddressRequest); ok {
		r0 = rf(ctx, protocol, network, address)
	} else {
		r0 = ret.Get(0).(ubiquity.ApiGetTxsByAddressRequest)
	}

	return r0
}

// TransactionsAPI_GetTxsByAddress_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetTxsByAddress'
type TransactionsAPI_GetTxsByAddress_Call struct {
	*mock.Call
}

// GetTxsByAddress is a helper method to define mock.On call
//   - ctx context.Context
//   - protocol string
//   - network string
//   - address string
func (_e *TransactionsAPI_Expecter) GetTxsByAddress(ctx interface{}, protocol interface{}, network interface{}, address interface{}) *TransactionsAPI_GetTxsByAddress_Call {
	return &TransactionsAPI_GetTxsByAddress_Call{Call: _e.mock.On("GetTxsByAddress", ctx, protocol, network, address)}
}

func (_c *TransactionsAPI_GetTxsByAddress_Call) Run(run func(ctx context.Context, protocol string, network string, address string)) *TransactionsAPI_GetTxsByAddress_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(string), args[2].(string), args[3].(string))
	})
	return _c
}

func (_c *TransactionsAPI_GetTxsByAddress_Call) Return(_a0 ubiquity.ApiGetTxsByAddressRequest) *TransactionsAPI_GetTxsByAddress_Call {
	_c.Call.Return(_a0)
	return _c
}

func (_c *TransactionsAPI_GetTxsByAddress_Call) RunAndReturn(run func(context.Context, string, string, string) ubiquity.ApiGetTxsByAddressRequest) *TransactionsAPI_GetTxsByAddress_Call {
	_c.Call.Return(run)
	return _c
}

// GetTxsByAddressExecute provides a mock function with given fields: r
func (_m *TransactionsAPI) GetTxsByAddressExecute(r ubiquity.ApiGetTxsByAddressRequest) (ubiquity.TxPage, *http.Response, error) {
	ret := _m.Called(r)

	if len(ret) == 0 {
		panic("no return value specified for GetTxsByAddressExecute")
	}

	var r0 ubiquity.TxPage
	var r1 *http.Response
	var r2 error
	if rf, ok := ret.Get(0).(func(ubiquity.ApiGetTxsByAddressRequest) (ubiquity.TxPage, *http.Response, error)); ok {
		return rf(r)
	}
	if rf, ok := ret.Get(0).(func(ubiquity.ApiGetTxsByAddressRequest) ubiquity.TxPage); ok {
		r0 = rf(r)
	} else {
		r0 = ret.Get(0).(ubiquity.TxPage)
	}

	if rf, ok := ret.Get(1).(func(ubiquity.ApiGetTxsByAddressRequest) *http.Response); ok {
		r1 = rf(r)
	} else {
		if ret.Get(1) != nil {
			r1 = ret.Get(1).(*http.Response)
		}
	}

	if rf, ok := ret.Get(2).(func(ubiquity.ApiGetTxsByAddressRequest) error); ok {
		r2 = rf(r)
	} else {
		r2 = ret.Error(2)
	}

	return r0, r1, r2
}

// TransactionsAPI_GetTxsByAddressExecute_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetTxsByAddressExecute'
type TransactionsAPI_GetTxsByAddressExecute_Call struct {
	*mock.Call
}

// GetTxsByAddressExecute is a helper method to define mock.On call
//   - r ubiquity.ApiGetTxsByAddressRequest
func (_e *TransactionsAPI_Expecter) GetTxsByAddressExecute(r interface{}) *TransactionsAPI_GetTxsByAddressExecute_Call {
	return &TransactionsAPI_GetTxsByAddressExecute_Call{Call: _e.mock.On("GetTxsByAddressExecute", r)}
}

func (_c *TransactionsAPI_GetTxsByAddressExecute_Call) Run(run func(r ubiquity.ApiGetTxsByAddressRequest)) *TransactionsAPI_GetTxsByAddressExecute_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(ubiquity.ApiGetTxsByAddressRequest))
	})
	return _c
}

func (_c *TransactionsAPI_GetTxsByAddressExecute_Call) Return(_a0 ubiquity.TxPage, _a1 *http.Response, _a2 error) *TransactionsAPI_GetTxsByAddressExecute_Call {
	_c.Call.Return(_a0, _a1, _a2)
	return _c
}

func (_c *TransactionsAPI_GetTxsByAddressExecute_Call) RunAndReturn(run func(ubiquity.ApiGetTxsByAddressRequest) (ubiquity.TxPage, *http.Response, error)) *TransactionsAPI_GetTxsByAddressExecute_Call {
	_c.Call.Return(run)
	return _c
}

// GetTxsExecute provides a mock function with given fields: r
func (_m *TransactionsAPI) GetTxsExecute(r ubiquity.ApiGetTxsRequest) (ubiquity.TxPage, *http.Response, error) {
	ret := _m.Called(r)

	if len(ret) == 0 {
		panic("no return value specified for GetTxsExecute")
	}

	var r0 ubiquity.TxPage
	var r1 *http.Response
	var r2 error
	if rf, ok := ret.Get(0).(func(ubiquity.ApiGetTxsRequest) (ubiquity.TxPage, *http.Response, error)); ok {
		return rf(r)
	}
	if rf, ok := ret.Get(0).(func(ubiquity.ApiGetTxsRequest) ubiquity.TxPage); ok {
		r0 = rf(r)
	} else {
		r0 = ret.Get(0).(ubiquity.TxPage)
	}

	if rf, ok := ret.Get(1).(func(ubiquity.ApiGetTxsRequest) *http.Response); ok {
		r1 = rf(r)
	} else {
		if ret.Get(1) != nil {
			r1 = ret.Get(1).(*http.Response)
		}
	}

	if rf, ok := ret.Get(2).(func(ubiquity.ApiGetTxsRequest) error); ok {
		r2 = rf(r)
	} else {
		r2 = ret.Error(2)
	}

	return r0, r1, r2
}

// TransactionsAPI_GetTxsExecute_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetTxsExecute'
type TransactionsAPI_GetTxsExecute_Call struct {
	*mock.Call
}

// GetTxsExecute is a helper method to define mock.On call
//   - r ubiquity.ApiGetTxsRequest
func (_e *TransactionsAPI_Expecter) GetTxsExecute(r interface{}) *TransactionsAPI_GetTxsExecute_Call {
	return &TransactionsAPI_GetTxsExecute_Call{Call: _e.mock.On("GetTxsExecute", r)}
}

func (_c *TransactionsAPI_GetTxsExecute_Call) Run(run func(r ubiquity.ApiGetTxsRequest)) *TransactionsAPI_GetTxsExecute_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(ubiquity.ApiGetTxsRequest))
	})
	return _c
}

func (_c *TransactionsAPI_GetTxsExecute_Call) Return(_a0 ubiquity.TxPage, _a1 *http.Response, _a2 error) *TransactionsAPI_GetTxsExecute_Call {
	_c.Call.Return(_a0, _a1, _a2)
	return _c
}

func (_c *TransactionsAPI_GetTxsExecute_Call) RunAndReturn(run func(ubiquity.ApiGetTxsRequest) (ubiquity.TxPage, *http.Response, error)) *TransactionsAPI_GetTxsExecute_Call {
	_c.Call.Return(run)
	return _c
}

// GetUTXOByAccount provides a mock function with given fields: ctx, protocol, network, address
func (_m *TransactionsAPI) GetUTXOByAccount(ctx context.Context, protocol string, network string, address string) ubiquity.ApiGetUTXOByAccountRequest {
	ret := _m.Called(ctx, protocol, network, address)

	if len(ret) == 0 {
		panic("no return value specified for GetUTXOByAccount")
	}

	var r0 ubiquity.ApiGetUTXOByAccountRequest
	if rf, ok := ret.Get(0).(func(context.Context, string, string, string) ubiquity.ApiGetUTXOByAccountRequest); ok {
		r0 = rf(ctx, protocol, network, address)
	} else {
		r0 = ret.Get(0).(ubiquity.ApiGetUTXOByAccountRequest)
	}

	return r0
}

// TransactionsAPI_GetUTXOByAccount_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetUTXOByAccount'
type TransactionsAPI_GetUTXOByAccount_Call struct {
	*mock.Call
}

// GetUTXOByAccount is a helper method to define mock.On call
//   - ctx context.Context
//   - protocol string
//   - network string
//   - address string
func (_e *TransactionsAPI_Expecter) GetUTXOByAccount(ctx interface{}, protocol interface{}, network interface{}, address interface{}) *TransactionsAPI_GetUTXOByAccount_Call {
	return &TransactionsAPI_GetUTXOByAccount_Call{Call: _e.mock.On("GetUTXOByAccount", ctx, protocol, network, address)}
}

func (_c *TransactionsAPI_GetUTXOByAccount_Call) Run(run func(ctx context.Context, protocol string, network string, address string)) *TransactionsAPI_GetUTXOByAccount_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(string), args[2].(string), args[3].(string))
	})
	return _c
}

func (_c *TransactionsAPI_GetUTXOByAccount_Call) Return(_a0 ubiquity.ApiGetUTXOByAccountRequest) *TransactionsAPI_GetUTXOByAccount_Call {
	_c.Call.Return(_a0)
	return _c
}

func (_c *TransactionsAPI_GetUTXOByAccount_Call) RunAndReturn(run func(context.Context, string, string, string) ubiquity.ApiGetUTXOByAccountRequest) *TransactionsAPI_GetUTXOByAccount_Call {
	_c.Call.Return(run)
	return _c
}

// GetUTXOByAccountExecute provides a mock function with given fields: r
func (_m *TransactionsAPI) GetUTXOByAccountExecute(r ubiquity.ApiGetUTXOByAccountRequest) (ubiquity.TxOutputs, *http.Response, error) {
	ret := _m.Called(r)

	if len(ret) == 0 {
		panic("no return value specified for GetUTXOByAccountExecute")
	}

	var r0 ubiquity.TxOutputs
	var r1 *http.Response
	var r2 error
	if rf, ok := ret.Get(0).(func(ubiquity.ApiGetUTXOByAccountRequest) (ubiquity.TxOutputs, *http.Response, error)); ok {
		return rf(r)
	}
	if rf, ok := ret.Get(0).(func(ubiquity.ApiGetUTXOByAccountRequest) ubiquity.TxOutputs); ok {
		r0 = rf(r)
	} else {
		r0 = ret.Get(0).(ubiquity.TxOutputs)
	}

	if rf, ok := ret.Get(1).(func(ubiquity.ApiGetUTXOByAccountRequest) *http.Response); ok {
		r1 = rf(r)
	} else {
		if ret.Get(1) != nil {
			r1 = ret.Get(1).(*http.Response)
		}
	}

	if rf, ok := ret.Get(2).(func(ubiquity.ApiGetUTXOByAccountRequest) error); ok {
		r2 = rf(r)
	} else {
		r2 = ret.Error(2)
	}

	return r0, r1, r2
}

// TransactionsAPI_GetUTXOByAccountExecute_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetUTXOByAccountExecute'
type TransactionsAPI_GetUTXOByAccountExecute_Call struct {
	*mock.Call
}

// GetUTXOByAccountExecute is a helper method to define mock.On call
//   - r ubiquity.ApiGetUTXOByAccountRequest
func (_e *TransactionsAPI_Expecter) GetUTXOByAccountExecute(r interface{}) *TransactionsAPI_GetUTXOByAccountExecute_Call {
	return &TransactionsAPI_GetUTXOByAccountExecute_Call{Call: _e.mock.On("GetUTXOByAccountExecute", r)}
}

func (_c *TransactionsAPI_GetUTXOByAccountExecute_Call) Run(run func(r ubiquity.ApiGetUTXOByAccountRequest)) *TransactionsAPI_GetUTXOByAccountExecute_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(ubiquity.ApiGetUTXOByAccountRequest))
	})
	return _c
}

func (_c *TransactionsAPI_GetUTXOByAccountExecute_Call) Return(_a0 ubiquity.TxOutputs, _a1 *http.Response, _a2 error) *TransactionsAPI_GetUTXOByAccountExecute_Call {
	_c.Call.Return(_a0, _a1, _a2)
	return _c
}

func (_c *TransactionsAPI_GetUTXOByAccountExecute_Call) RunAndReturn(run func(ubiquity.ApiGetUTXOByAccountRequest) (ubiquity.TxOutputs, *http.Response, error)) *TransactionsAPI_GetUTXOByAccountExecute_Call {
	_c.Call.Return(run)
	return _c
}

// TxCreate provides a mock function with given fields: ctx, protocol, network
func (_m *TransactionsAPI) TxCreate(ctx context.Context, protocol string, network string) ubiquity.ApiTxCreateRequest {
	ret := _m.Called(ctx, protocol, network)

	if len(ret) == 0 {
		panic("no return value specified for TxCreate")
	}

	var r0 ubiquity.ApiTxCreateRequest
	if rf, ok := ret.Get(0).(func(context.Context, string, string) ubiquity.ApiTxCreateRequest); ok {
		r0 = rf(ctx, protocol, network)
	} else {
		r0 = ret.Get(0).(ubiquity.ApiTxCreateRequest)
	}

	return r0
}

// TransactionsAPI_TxCreate_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'TxCreate'
type TransactionsAPI_TxCreate_Call struct {
	*mock.Call
}

// TxCreate is a helper method to define mock.On call
//   - ctx context.Context
//   - protocol string
//   - network string
func (_e *TransactionsAPI_Expecter) TxCreate(ctx interface{}, protocol interface{}, network interface{}) *TransactionsAPI_TxCreate_Call {
	return &TransactionsAPI_TxCreate_Call{Call: _e.mock.On("TxCreate", ctx, protocol, network)}
}

func (_c *TransactionsAPI_TxCreate_Call) Run(run func(ctx context.Context, protocol string, network string)) *TransactionsAPI_TxCreate_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(string), args[2].(string))
	})
	return _c
}

func (_c *TransactionsAPI_TxCreate_Call) Return(_a0 ubiquity.ApiTxCreateRequest) *TransactionsAPI_TxCreate_Call {
	_c.Call.Return(_a0)
	return _c
}

func (_c *TransactionsAPI_TxCreate_Call) RunAndReturn(run func(context.Context, string, string) ubiquity.ApiTxCreateRequest) *TransactionsAPI_TxCreate_Call {
	_c.Call.Return(run)
	return _c
}

// TxCreateExecute provides a mock function with given fields: r
func (_m *TransactionsAPI) TxCreateExecute(r ubiquity.ApiTxCreateRequest) (ubiquity.UnsignedTx, *http.Response, error) {
	ret := _m.Called(r)

	if len(ret) == 0 {
		panic("no return value specified for TxCreateExecute")
	}

	var r0 ubiquity.UnsignedTx
	var r1 *http.Response
	var r2 error
	if rf, ok := ret.Get(0).(func(ubiquity.ApiTxCreateRequest) (ubiquity.UnsignedTx, *http.Response, error)); ok {
		return rf(r)
	}
	if rf, ok := ret.Get(0).(func(ubiquity.ApiTxCreateRequest) ubiquity.UnsignedTx); ok {
		r0 = rf(r)
	} else {
		r0 = ret.Get(0).(ubiquity.UnsignedTx)
	}

	if rf, ok := ret.Get(1).(func(ubiquity.ApiTxCreateRequest) *http.Response); ok {
		r1 = rf(r)
	} else {
		if ret.Get(1) != nil {
			r1 = ret.Get(1).(*http.Response)
		}
	}

	if rf, ok := ret.Get(2).(func(ubiquity.ApiTxCreateRequest) error); ok {
		r2 = rf(r)
	} else {
		r2 = ret.Error(2)
	}

	return r0, r1, r2
}

// TransactionsAPI_TxCreateExecute_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'TxCreateExecute'
type TransactionsAPI_TxCreateExecute_Call struct {
	*mock.Call
}

// TxCreateExecute is a helper method to define mock.On call
//   - r ubiquity.ApiTxCreateRequest
func (_e *TransactionsAPI_Expecter) TxCreateExecute(r interface{}) *TransactionsAPI_TxCreateExecute_Call {
	return &TransactionsAPI_TxCreateExecute_Call{Call: _e.mock.On("TxCreateExecute", r)}
}

func (_c *TransactionsAPI_TxCreateExecute_Call) Run(run func(r ubiquity.ApiTxCreateRequest)) *TransactionsAPI_TxCreateExecute_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(ubiquity.ApiTxCreateRequest))
	})
	return _c
}

func (_c *TransactionsAPI_TxCreateExecute_Call) Return(_a0 ubiquity.UnsignedTx, _a1 *http.Response, _a2 error) *TransactionsAPI_TxCreateExecute_Call {
	_c.Call.Return(_a0, _a1, _a2)
	return _c
}

func (_c *TransactionsAPI_TxCreateExecute_Call) RunAndReturn(run func(ubiquity.ApiTxCreateRequest) (ubiquity.UnsignedTx, *http.Response, error)) *TransactionsAPI_TxCreateExecute_Call {
	_c.Call.Return(run)
	return _c
}

// TxSend provides a mock function with given fields: ctx, protocol, network
func (_m *TransactionsAPI) TxSend(ctx context.Context, protocol string, network string) ubiquity.ApiTxSendRequest {
	ret := _m.Called(ctx, protocol, network)

	if len(ret) == 0 {
		panic("no return value specified for TxSend")
	}

	var r0 ubiquity.ApiTxSendRequest
	if rf, ok := ret.Get(0).(func(context.Context, string, string) ubiquity.ApiTxSendRequest); ok {
		r0 = rf(ctx, protocol, network)
	} else {
		r0 = ret.Get(0).(ubiquity.ApiTxSendRequest)
	}

	return r0
}

// TransactionsAPI_TxSend_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'TxSend'
type TransactionsAPI_TxSend_Call struct {
	*mock.Call
}

// TxSend is a helper method to define mock.On call
//   - ctx context.Context
//   - protocol string
//   - network string
func (_e *TransactionsAPI_Expecter) TxSend(ctx interface{}, protocol interface{}, network interface{}) *TransactionsAPI_TxSend_Call {
	return &TransactionsAPI_TxSend_Call{Call: _e.mock.On("TxSend", ctx, protocol, network)}
}

func (_c *TransactionsAPI_TxSend_Call) Run(run func(ctx context.Context, protocol string, network string)) *TransactionsAPI_TxSend_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(string), args[2].(string))
	})
	return _c
}

func (_c *TransactionsAPI_TxSend_Call) Return(_a0 ubiquity.ApiTxSendRequest) *TransactionsAPI_TxSend_Call {
	_c.Call.Return(_a0)
	return _c
}

func (_c *TransactionsAPI_TxSend_Call) RunAndReturn(run func(context.Context, string, string) ubiquity.ApiTxSendRequest) *TransactionsAPI_TxSend_Call {
	_c.Call.Return(run)
	return _c
}

// TxSendExecute provides a mock function with given fields: r
func (_m *TransactionsAPI) TxSendExecute(r ubiquity.ApiTxSendRequest) (ubiquity.TxReceipt, *http.Response, error) {
	ret := _m.Called(r)

	if len(ret) == 0 {
		panic("no return value specified for TxSendExecute")
	}

	var r0 ubiquity.TxReceipt
	var r1 *http.Response
	var r2 error
	if rf, ok := ret.Get(0).(func(ubiquity.ApiTxSendRequest) (ubiquity.TxReceipt, *http.Response, error)); ok {
		return rf(r)
	}
	if rf, ok := ret.Get(0).(func(ubiquity.ApiTxSendRequest) ubiquity.TxReceipt); ok {
		r0 = rf(r)
	} else {
		r0 = ret.Get(0).(ubiquity.TxReceipt)
	}

	if rf, ok := ret.Get(1).(func(ubiquity.ApiTxSendRequest) *http.Response); ok {
		r1 = rf(r)
	} else {
		if ret.Get(1) != nil {
			r1 = ret.Get(1).(*http.Response)
		}
	}

	if rf, ok := ret.Get(2).(func(ubiquity.ApiTxSendRequest) error); ok {
		r2 = rf(r)
	} else {
		r2 = ret.Error(2)
	}

	return r0, r1, r2
}

// TransactionsAPI_TxSendExecute_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'TxSendExecute'
type TransactionsAPI_TxSendExecute_Call struct {
	*mock.Call
}

// TxSendExecute is a helper method to define mock.On call
//   - r ubiquity.ApiTxSendRequest
func (_e *TransactionsAPI_Expecter) TxSendExecute(r interface{}) *TransactionsAPI_TxSendExecute_Call {
	return &TransactionsAPI_TxSendExecute_Call{Call: _e.mock.On("TxSendExecute", r)}
}

func (_c *TransactionsAPI_TxSendExecute_Call) Run(run func(r ubiquity.ApiTxSendRequest)) *TransactionsAPI_TxSendExecute_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(ubiquity.ApiTxSendRequest))
	})
	return _c
}

func (_c *TransactionsAPI_TxSendExecute_Call) Return(_a0 ubiquity.TxReceipt, _a1 *http.Response, _a2 error) *TransactionsAPI_TxSendExecute_Call {
	_c.Call.Return(_a0, _a1, _a2)
	return _c
}

func (_c *TransactionsAPI_TxSendExecute_Call) RunAndReturn(run func(ubiquity.ApiTxSendRequest) (ubiquity.TxReceipt, *http.Response, error)) *TransactionsAPI_TxSendExecute_Call {
	_c.Call.Return(run)
	return _c
}

// NewTransactionsAPI creates a new instance of TransactionsAPI. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
// The first argument is typically a *testing.T value.
func NewTransactionsAPI(t interface {
	mock.TestingT
	Cleanup(func())
}) *TransactionsAPI {
	mock := &TransactionsAPI{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
